Subject: Re: [bitcoin-dev] trust

From: Jorge Timón <[email-masked]>
Date: Mon, 10 Aug 2015 22:17:52 +0200

On Sat, Aug 8, 2015 at 2:37 PM, Thomas Zander via bitcoin-dev
<[email-masked]> wrote:
> On Saturday 8. August 2015 12.54.36 Adam Back wrote:
>> On 8 August 2015 at 09:54, Thomas Zander <[email-masked]> wrote:
>> > I didn't say off-chain, and gave an example of on-chain usecase with
>> > trusted middleman.
>> That's basically the definition of off-chain.  When we say MtGox or
>> coinbase etc are off-chain transactions, that is because a middle man
>> has the private keys to the coins and gave you an IOU of some kind.
>
> I'm so sorry to have to correct you again, and please don't feel bad about
> misreading my post twice.
>
> Sending something to another Bitcoin on-chain user is really on-chain. Please
> believe me when I say that I actually understand my own example.

Adam, I think he means a multisig escrow transaction where the escrow
is trusted by both parties, and other examples like that.
But I don't see how that is relevant, allowing trust to be involved in
different ways is a feature, but it's optional.
I think the point "you don't need to trust anyone to use Bitcoin" remains.